<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist='pppoe' name='/etc/ppp/peers/dsl-provider'/>
        <file filelist='pppoe' name='/etc/ppp/pap-secrets'/>
        <file filelist='pppoe' name='/etc/ppp/chap-secrets'/>
        <file filelist='pppoe' name='/etc/ppp/ip-up.d/0000usepeerdns' mode='0755'/>
        <file filelist='dhclient' name='/etc/dhcp/dhclient.conf'/>
        <!-- filelist créée dans 10_era.xml et gérée si era est installé-->
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/10-chain_static_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/40-icmp_static_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/50-nat_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/99-end_static_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/etc/eole/hosts.allow'/>
        <file name='/etc/hosts.deny'/>
        <file name='/usr/sbin/ouvre.firewall' mode='755'/>
        <file name='/usr/lib/eole/forteresse.sh'/>
        <file name='/var/lib/eole/config/persistent-net.cfg'/>
        <service_access service='sshd'>
            <port>22</port>
            <tcpwrapper>sshd</tcpwrapper>
        </service_access>
        <service_restriction service='sshd'>
            <ip interface='eth0' netmask='netmask_ssh_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth0</ip>
            <ip interface='eth1' netmask='netmask_ssh_eth1' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth1</ip>
            <ip interface='eth2' netmask='netmask_ssh_eth2' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth2</ip>
            <ip interface='eth3' netmask='netmask_ssh_eth3' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth3</ip>
            <ip interface='eth4' netmask='netmask_ssh_eth4' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth4</ip>
        </service_restriction>
        <service_access service='genconfig'>
            <port>7000</port>
        </service_access>
        <service_restriction service='genconfig'>
            <ip interface='eth0' netmask='netmask_ssh_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth0</ip>
            <ip interface='eth1' netmask='netmask_ssh_eth1' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth1</ip>
            <ip interface='eth2' netmask='netmask_ssh_eth2' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth2</ip>
            <ip interface='eth3' netmask='netmask_ssh_eth3' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth3</ip>
            <ip interface='eth4' netmask='netmask_ssh_eth4' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth4</ip>
        </service_restriction>
    </files>

    <variables>

        <!-- **** Interface interne 0 **** -->
        <family name='Interface-0' icon='sitemap'>
            <variable name='eth0_method' type='string' description="Méthode d'attribution de l'adressage pour l'interface" mode='basic'>
                <value>statique</value>
            </variable>
            <variable name='pppoe_user' type='unix_user' description='Nom du compte PPPoE' mandatory='True'/>
            <variable name='pppoe_passwd' type='password' description='Mot de passe PPPoE' mandatory='True'/>
            <variable name='pppoe_interface' type='string' description='Interface où PPPoE est connecté' mandatory='True' mode='expert'/>
            <variable name='adresse_ip_eth0' type='local_ip' description='Adresse IP de la carte' mandatory='True' mode='basic'/>
            <variable name='adresse_netmask_eth0' type='netmask' description='Masque de sous réseau de la carte' mandatory='True' mode='basic'/>
            <variable name='adresse_network_eth0' type='network' description='Adresse réseau de la carte'/>
            <variable name='adresse_broadcast_eth0' type='broadcast' description='Adresse broadcast de sous réseau de la carte'/>
            <variable name='adresse_ip_gw' type='ip' description='Adresse IP de la passerelle par défaut' mode='basic'/>
            <!-- conserver pour raison de compatibilité, devrait être remplacé par nom_carte_eth0 -->
            <variable name='interface_gw' type='string' description='Interface de sortie'/>
            <variable name='nom_carte_eth0' type='string' description="Nom de l'interface réseau" mode='expert'/>
            <variable name='nom_zone_eth0' type='string' description="Nom de l'interface réseau de la zone" mode='expert'/>
            <variable name='zone_is_bridge_eth0' type='oui/non' description="L'interface réseau de la zone est un bridge" mandatory='True' mode='expert'/>
            <variable name='debit_carte_eth0' type='string' description="Mode de connexion pour l'interface" mode='expert' />
            <variable name='ssh_eth0' type='oui/non' description='Autoriser les connexions SSH' mode='basic'>
                <value>oui</value>
            </variable>
            <variable name='ip_ssh_eth0' type='network' description="Adresse IP réseau autorisée pour les connexions SSH" multi='True' mandatory='True'/>
            <variable name='netmask_ssh_eth0' type='netmask' description="Masque du sous réseau pour les connexions SSH" mandatory='True'/>
            <variable name='admin_eth0' type='oui/non' description='Autoriser les connexions pour administrer le serveur (EAD, phpMyAdmin, ...)' mode='basic'>
                <value>oui</value>
            </variable>
            <variable name='ip_admin_eth0' type='network' description="Adresse IP réseau autorisée pour administrer le serveur" multi='True' mandatory='True'/>
            <variable name='netmask_admin_eth0' type='netmask' description="Masque du sous réseau pour administrer le serveur" mandatory='True'/>
            <variable name='alias_eth0' type='oui/non' description="Ajouter des IP alias sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='alias_ip_eth0' type='ip' description="Adresse IP alias pour l'interface 0" multi='True' mandatory='True' />
            <variable name='alias_netmask_eth0' type='netmask' description="Masque de sous réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_network_eth0' type='network' description="Adresse réseau correspondant à cet alias"/>
            <variable name='alias_broadcast_eth0' type='broadcast' description="Adresse broadcast correspondant à cet alias"/>
            <variable name='alias_gw_eth0' type='ip' description="Adresse de la passerelle pour cet alias (nécessaire à l'agrégation de liens)" hidden='True'/>
            <variable name='vlan_eth0' type='oui/non' description="Activer le support des VLAN sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='vlan_id_eth0' type='number' description="Numéro d'identifiant du VLAN" multi='True' mandatory='True' />
            <variable name='vlan_ip_eth0' type='ip' description="Adresse IP de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_netmask_eth0' type='netmask' description="Masque de sous réseau de l'interface dans ce VLAN" mandatory='True' >
                <value>255.255.255.0</value>
            </variable>
            <variable name='vlan_network_eth0' type='network' description="Adresse réseau de l'interface dans ce VLAN" />
            <variable name='vlan_broadcast_eth0' type='broadcast' description="Adresse de broadcast de l'interface dans ce VLAN" />
            <variable name='vlan_gw_eth0' type='ip' description='Adresse de la passerelle pour ce VLAN' />
        </family>

        <!-- **** Interface interne 1 **** -->
        <family name='Interface-1' icon='sitemap'>
            <variable name='eth1_method' type='string' description="Méthode d'attribution de l'adressage pour l'interface" hidden='True'>
                <value>statique</value>
            </variable>
            <variable name='adresse_ip_eth1' type='local_ip' description='Adresse IP de la carte' mandatory='True' mode='basic'/>
            <variable name='adresse_netmask_eth1' type='netmask' description='Masque de sous réseau de la carte' mandatory='True' mode='basic'>
                <value>255.255.255.0</value>
            </variable>
            <variable name='adresse_network_eth1' type='network' description='Adresse réseau de la carte'/>
            <variable name='adresse_broadcast_eth1' type='broadcast' description='Adresse broadcast de sous réseau de la carte'/>
            <variable name='nom_carte_eth1' type='string' description="Nom de l'interface réseau" mode='expert'/>
            <variable name='nom_zone_eth1' type='string' description="Nom de l'interface réseau de la zone" mode='expert'/>
            <variable name='zone_is_bridge_eth1' type='oui/non' description="L'interface réseau de la zone est un bridge" mandatory='True' mode='expert'/>
            <variable name='debit_carte_eth1' type='string' description="Mode de connexion pour l'interface interne 1" mode='expert' />
            <variable name='ssh_eth1' type='oui/non' description='Autoriser les connexions SSH' mode='basic'>
                <value>oui</value>
            </variable>
            <variable name='ip_ssh_eth1' type='network' description="Adresse IP réseau autorisée pour les connexions SSH" multi='True' mandatory='True'/>
            <variable name='netmask_ssh_eth1' type='netmask' description="Masque du sous réseau pour les connexions SSH" mandatory='True'/>
            <variable name='admin_eth1' type='oui/non' description='Autoriser les connexions pour administrer le serveur (EAD, phpMyAdmin, ...)' mode='basic'>
                <value>oui</value>
            </variable>
            <variable name='ip_admin_eth1' type='network' description="Adresse IP réseau autorisée pour administrer le serveur" multi='True' mandatory='True'/>
            <variable name='netmask_admin_eth1' type='netmask' description="Masque du sous réseau pour administrer le serveur" mandatory='True'/>
            <variable name='alias_eth1' type='oui/non' description="Ajouter des IP alias sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='alias_ip_eth1' type='ip' description="Adresse IP alias pour l'interface interne 1" multi='True' mandatory='True' />
            <variable name='alias_netmask_eth1' type='netmask' description="Masque de sous réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_network_eth1' type='network' description="Adresse réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_broadcast_eth1' type='broadcast' description="Adresse broadcast correspondant à cet alias" mandatory='True' />
            <variable name='dns_rvp_alias_eth1' type='oui/non' description="Autoriser cet alias à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='dns_forward_alias_eth1' type='oui/non' description="Autoriser cet alias à utiliser les DNS de zones forward additionnelles" hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='vlan_eth1' type='oui/non' description="Activer le support des VLAN sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='vlan_id_eth1' type='string' description="Numéro d'identifiant du VLAN" multi='True' mandatory='True' />
            <variable name='vlan_ip_eth1' type='ip' description="Adresse IP de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_netmask_eth1' type='netmask' description="Masque de sous réseau de l'interface dans ce VLAN" mandatory='True' >
                <value>255.255.255.0</value>
            </variable>
            <variable name='vlan_network_eth1' type='network' description="Adresse réseau de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_broadcast_eth1' type='ip' description="Adresse de broadcast de l'interface dans ce VLAN" mandatory='True' />
            <variable name='dns_rvp_vlan_eth1' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='dns_forward_vlan_eth1' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS des zones forward additionnelles" hidden='True'>
                <value>oui</value>
            </variable>
        </family>

        <!--**** Interface interne 2 **** -->
        <family name='Interface-2' icon='sitemap'>
            <variable name='eth2_method' type='string' description="Méthode d'attribution de l'adressage pour l'interface" hidden='True'>
                <value>statique</value>
            </variable>
            <variable name='adresse_ip_eth2' type='local_ip' description="Adresse IP de l'interface" mandatory='True' mode='basic'/>
            <variable name='adresse_netmask_eth2' type='netmask' description="Masque de sous réseau de l'interface" mandatory='True' mode='basic'>
                <value>255.255.255.0</value>
            </variable>
            <variable name='adresse_network_eth2' type='network' description="Adresse réseau de l'interface"/>
            <variable name='adresse_broadcast_eth2' type='broadcast' description="Adresse broadcast de sous réseau de l'interface"/>
            <variable name='nom_carte_eth2' type='string' description="Nom de l'interface réseau" mode='expert'/>
            <variable name='nom_zone_eth2' type='string' description="Nom de l'interface réseau de la zone" mode='expert'/>
            <variable name='zone_is_bridge_eth2' type='oui/non' description="L'interface réseau de la zone est un bridge" mandatory='True' mode='expert'/>
            <variable name='debit_carte_eth2' type='string' description="Mode de connexion pour l'interface interne 2" mode='expert' />
            <variable name='ssh_eth2' type='oui/non' description='Autoriser les connexions SSH' mode='basic'>
                <value>non</value>
            </variable>
            <variable name='ip_ssh_eth2' type='network' description="Adresse IP réseau autorisée pour les connexions SSH" multi='True' mandatory='True'/>
            <variable name='netmask_ssh_eth2' type='netmask' description="Masque du sous réseau pour les connexions SSH" mandatory='True'/>
            <variable name='admin_eth2' type='oui/non' description='Autoriser les connexions pour administrer le serveur (EAD, phpMyAdmin, ...)' mode='basic'>
                <value>non</value>
            </variable>
            <variable name='ip_admin_eth2' type='network' description="Adresse IP réseau autorisée pour administrer le serveur" multi='True' mandatory='True'/>
            <variable name='netmask_admin_eth2' type='netmask' description="Masque du sous réseau pour administrer le serveur" mandatory='True'/>
            <variable name='alias_eth2' type='oui/non' description="Ajouter des IP alias sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='alias_ip_eth2' type='ip' description="Adresse IP alias pour l'interface" multi='True' mandatory='True' />
            <variable name='alias_netmask_eth2' type='netmask' description="Masque de sous réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_network_eth2' type='network' description="Adresse réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_broadcast_eth2' type='broadcast' description="Adresse broadcast correspondant à cet alias" mandatory='True' />
            <variable name='dns_rvp_alias_eth2' type='oui/non' description="Autoriser cet alias à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dns_forward_alias_eth2' type='oui/non' description="Autoriser cet alias à utiliser les DNS de zones forward additionnelles" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='vlan_eth2' type='oui/non' description="Activer le support des VLAN sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='vlan_id_eth2' type='string' description="Numéro d'identifiant du VLAN" multi='True' mandatory='True' />
            <variable name='vlan_ip_eth2' type='ip' description="Adresse IP de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_netmask_eth2' type='netmask' description="Masque de sous réseau de l'interface dans ce VLAN" mandatory='True' >
                <value>255.255.255.0</value>
            </variable>
            <variable name='vlan_network_eth2' type='network' description="Adresse réseau de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_broadcast_eth2' type='broadcast' description="Adresse de broadcast de l'interface dans ce VLAN" mandatory='True' />
            <variable name='dns_rvp_vlan_eth2' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dns_forward_vlan_eth2' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS des zones forward additionnelles" hidden='True'>
                <value>non</value>
            </variable>
        </family>

        <!--**** Interface interne 3 **** -->
        <family name='Interface-3' icon='sitemap'>
            <variable name='eth3_method' type='string' description="Méthode d'attribution de l'adressage pour l'interface" hidden='True'>
                <value>statique</value>
            </variable>
            <variable name='adresse_ip_eth3' type='local_ip' description="Adresse IP de l'interface" mandatory='True' mode='basic'/>
            <variable name='adresse_netmask_eth3' type='netmask' description="Masque de sous réseau de l'interface" mandatory='True' mode='basic'>
                <value>255.255.255.0</value>
            </variable>
            <variable name='adresse_network_eth3' type='network' description="Adresse réseau de l'interface"/>
            <variable name='adresse_broadcast_eth3' type='broadcast' description="Adresse broadcast de sous réseau de l'interface"/>
            <variable name='nom_carte_eth3' type='string' description="Nom de l'interface réseau" mode='expert'/>
            <variable name='nom_zone_eth3' type='string' description="Nom de l'interface réseau de la zone" mode='expert'/>
            <variable name='zone_is_bridge_eth3' type='oui/non' description="L'interface réseau de la zone est un bridge" mandatory='True' mode='expert'/>
            <variable name='debit_carte_eth3' type='string' description="Mode de connexion pour l'interface interne 3" mode='expert' />
            <variable name='ssh_eth3' type='oui/non' description='Autoriser les connexions SSH' mode='basic'>
                <value>non</value>
            </variable>
            <variable name='ip_ssh_eth3' type='network' description="Adresse IP réseau autorisée pour les connexions SSH" multi='True' mandatory='True'/>
            <variable name='netmask_ssh_eth3' type='netmask' description="Masque du sous réseau pour les connexions SSH" mandatory='True'/>
            <variable name='admin_eth3' type='oui/non' description='Autoriser les connexions pour administrer le serveur (EAD, phpMyAdmin, ...)' mode='basic'>
                <value>non</value>
            </variable>
            <variable name='ip_admin_eth3' type='network' description="Adresse IP réseau autorisée pour administrer le serveur" multi='True' mandatory='True'/>
            <variable name='netmask_admin_eth3' type='netmask' description="Masque du sous réseau pour administrer le serveur" mandatory='True'/>
            <variable name='alias_eth3' type='oui/non' description="Ajouter des IP alias sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='alias_ip_eth3' type='ip' description="Adresse IP alias pour l'interface" multi='True' mandatory='True' />
            <variable name='alias_netmask_eth3' type='netmask' description="Masque de sous réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_network_eth3' type='network' description="Adresse réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_broadcast_eth3' type='broadcast' description="Adresse broadcast correspondant à cet alias" mandatory='True' />
            <variable name='dns_rvp_alias_eth3' type='oui/non' description="Autoriser cet alias à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dns_forward_alias_eth3' type='oui/non' description="Autoriser cet alias à utiliser les DNS de zones forward additionnelles" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='vlan_eth3' type='oui/non' description="Activer le support des VLAN sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='vlan_id_eth3' type='string' description="Numéro d'identifiant du VLAN" multi='True' mandatory='True' />
            <variable name='vlan_ip_eth3' type='ip' description="Adresse IP de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_netmask_eth3' type='netmask' description="Masque de sous réseau de l'interface dans ce VLAN" mandatory='True' >
                <value>255.255.255.0</value>
            </variable>
            <variable name='vlan_network_eth3' type='network' description="Adresse réseau de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_broadcast_eth3' type='broadcast' description="Adresse de broadcast de l'interface dans ce VLAN" mandatory='True' />
            <variable name='dns_rvp_vlan_eth3' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dns_forward_vlan_eth3' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS des zones forward additionnelles" hidden='True'>
                <value>non</value>
            </variable>
        </family>

        <!--**** Interface interne 4 **** -->
        <family name='Interface-4' icon='sitemap'>
            <variable name='eth4_method' type='string' description="Méthode d'attribution de l'adressage pour l'interface" hidden='True'>
                <value>statique</value>
            </variable>
            <variable name='adresse_ip_eth4' type='local_ip' description="Adresse IP de l'interface" mandatory='True' mode='basic'/>
            <variable name='adresse_netmask_eth4' type='netmask' description="Masque de sous réseau de l'interface" mandatory='True' mode='basic'>
                <value>255.255.255.0</value>
            </variable>
            <variable name='adresse_network_eth4' type='network' description="Adresse réseau de l'interface"/>
            <variable name='adresse_broadcast_eth4' type='broadcast' description="Adresse broadcast de sous réseau de l'interface"/>
            <variable name='nom_carte_eth4' type='string' description="Nom de l'interface réseau" mode='expert'/>
            <variable name='nom_zone_eth4' type='string' description="Nom de l'interface réseau de la zone" mode='expert'/>
            <variable name='zone_is_bridge_eth4' type='oui/non' description="L'interface réseau de la zone est un bridge" mandatory='True' mode='expert'/>
            <variable name='debit_carte_eth4' type='string' description="Mode de connexion pour l'interface interne 4" mode='expert' />
            <variable name='ssh_eth4' type='oui/non' description='Autoriser les connexions SSH' mode='basic'>
                <value>non</value>
            </variable>
            <variable name='ip_ssh_eth4' type='network' description="Adresse IP réseau autorisée pour les connexions SSH" multi='True' mandatory='True'/>
            <variable name='netmask_ssh_eth4' type='netmask' description="Masque du sous réseau pour les connexions SSH" mandatory='True'/>
            <variable name='admin_eth4' type='oui/non' description='Autoriser les connexions pour administrer le serveur (EAD, phpMyAdmin, ...)' mode='basic'>
                <value>non</value>
            </variable>
            <variable name='ip_admin_eth4' type='network' description="Adresse IP réseau autorisée pour administrer le serveur" multi='True' mandatory='True'/>
            <variable name='netmask_admin_eth4' type='netmask' description="Masque du sous réseau pour administrer le serveur" mandatory='True'/>
            <variable name='alias_eth4' type='oui/non' description="Ajouter des IP alias sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='alias_ip_eth4' type='ip' description="Adresse IP alias pour l'interface" multi='True' mandatory='True' />
            <variable name='alias_netmask_eth4' type='netmask' description="Masque de sous réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_network_eth4' type='network' description="Adresse réseau correspondant à cet alias" mandatory='True' />
            <variable name='alias_broadcast_eth4' type='broadcast' description="Adresse broadcast correspondant à cet alias" mandatory='True' />
            <variable name='dns_rvp_alias_eth4' type='oui/non' description="Autoriser cet alias à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dns_forward_alias_eth4' type='oui/non' description="Autoriser cet alias à utiliser les DNS de zones forward additionnelles" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='vlan_eth4' type='oui/non' description="Activer le support des VLAN sur l'interface" >
                <value>non</value>
            </variable>
            <variable name='vlan_id_eth4' type='string' description="Numéro d'identifiant du VLAN" multi='True' mandatory='True' />
            <variable name='vlan_ip_eth4' type='ip' description="Adresse IP de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_netmask_eth4' type='netmask' description="Masque de sous réseau de l'interface dans ce VLAN" mandatory='True' >
                <value>255.255.255.0</value>
            </variable>
            <variable name='vlan_network_eth4' type='network' description="Adresse réseau de l'interface dans ce VLAN" mandatory='True' />
            <variable name='vlan_broadcast_eth4' type='broadcast' description="Adresse de broadcast de l'interface dans ce VLAN" mandatory='True' />
            <variable name='dns_rvp_vlan_eth4' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS de Forward RVP/AGRIATES" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dns_forward_vlan_eth4' type='oui/non' description="Autoriser ce VLAN à utiliser les DNS des zones forward additionnelles" hidden='True'>
                <value>non</value>
            </variable>
        </family>

        <separators>
            <!-- Interfaces -->
            <separator name='eth0_method'>Configuration de l'interface</separator>
            <separator name='eth1_method'>Configuration de l'interface</separator>
            <separator name='eth2_method'>Configuration de l'interface</separator>
            <separator name='eth3_method'>Configuration de l'interface</separator>
            <separator name='eth4_method'>Configuration de l'interface</separator>
            <separator name='ssh_eth0' never_hidden='True'>Administration distante sur l'interface</separator>
            <separator name='ssh_eth1'>Administration distante sur l'interface</separator>
            <separator name='ssh_eth2'>Administration distante sur l'interface</separator>
            <separator name='ssh_eth3'>Administration distante sur l'interface</separator>
            <separator name='ssh_eth4'>Administration distante sur l'interface</separator>
            <separator name='alias_eth0'>Configuration des alias sur l'interface</separator>
            <separator name='vlan_eth0'>Configuration des VLAN sur l'interface</separator>
            <separator name='alias_eth1'>Configuration des alias sur l'interface</separator>
            <separator name='vlan_eth1'>Configuration des VLAN sur l'interface</separator>
            <separator name='alias_eth2'>Configuration des alias sur l'interface</separator>
            <separator name='vlan_eth2'>Configuration des VLAN sur l'interface</separator>
            <separator name='alias_eth3'>Configuration des alias sur l'interface</separator>
            <separator name='vlan_eth3'>Configuration des VLAN sur l'interface</separator>
            <separator name='alias_eth4'>Configuration des alias sur l'interface</separator>
            <separator name='vlan_eth4'>Configuration des VLAN sur l'interface</separator>
        </separators>
    </variables>

    <constraints>
        <auto name='calc_network' target='alias_network_eth0'>
            <param type='eole' name='ip'>alias_ip_eth0</param>
            <param type='eole' name='netmask'>alias_netmask_eth0</param>
        </auto>
        <auto name='calc_network' target='alias_network_eth1'>
            <param type='eole' name='ip'>alias_ip_eth1</param>
            <param type='eole' name='netmask'>alias_netmask_eth1</param>
        </auto>
        <auto name='calc_network' target='alias_network_eth2'>
            <param type='eole' name='ip'>alias_ip_eth2</param>
            <param type='eole' name='netmask'>alias_netmask_eth2</param>
        </auto>
        <auto name='calc_network' target='alias_network_eth3'>
            <param type='eole' name='ip'>alias_ip_eth3</param>
            <param type='eole' name='netmask'>alias_netmask_eth3</param>
        </auto>
        <auto name='calc_network' target='alias_network_eth4'>
            <param type='eole' name='ip'>alias_ip_eth4</param>
            <param type='eole' name='netmask'>alias_netmask_eth4</param>
        </auto>
        <auto name='calc_network' target='vlan_network_eth0'>
            <param type='eole' name='ip'>vlan_ip_eth0</param>
            <param type='eole' name='netmask'>vlan_netmask_eth0</param>
        </auto>
        <auto name='calc_network' target='vlan_network_eth1'>
            <param type='eole' name='ip'>vlan_ip_eth1</param>
            <param type='eole' name='netmask'>vlan_netmask_eth1</param>
        </auto>
        <auto name='calc_network' target='vlan_network_eth2'>
            <param type='eole' name='ip'>vlan_ip_eth2</param>
            <param type='eole' name='netmask'>vlan_netmask_eth2</param>
        </auto>
        <auto name='calc_network' target='vlan_network_eth3'>
            <param type='eole' name='ip'>vlan_ip_eth3</param>
            <param type='eole' name='netmask'>vlan_netmask_eth3</param>
        </auto>
        <auto name='calc_network' target='vlan_network_eth4'>
            <param type='eole' name='ip'>vlan_ip_eth4</param>
            <param type='eole' name='netmask'>vlan_netmask_eth4</param>
        </auto>
        <auto name='calc_broadcast' target='alias_broadcast_eth0'>
            <param type='eole' name='ip'>alias_ip_eth0</param>
            <param type='eole' name='netmask'>alias_netmask_eth0</param>
        </auto>
        <auto name='calc_broadcast' target='alias_broadcast_eth1'>
            <param type='eole' name='ip'>alias_ip_eth1</param>
            <param type='eole' name='netmask'>alias_netmask_eth1</param>
        </auto>
        <auto name='calc_broadcast' target='alias_broadcast_eth2'>
            <param type='eole' name='ip'>alias_ip_eth2</param>
            <param type='eole' name='netmask'>alias_netmask_eth2</param>
        </auto>
        <auto name='calc_broadcast' target='alias_broadcast_eth3'>
            <param type='eole' name='ip'>alias_ip_eth3</param>
            <param type='eole' name='netmask'>alias_netmask_eth3</param>
        </auto>
        <auto name='calc_broadcast' target='alias_broadcast_eth4'>
            <param type='eole' name='ip'>alias_ip_eth4</param>
            <param type='eole' name='netmask'>alias_netmask_eth4</param>
        </auto>
        <auto name='calc_broadcast' target='vlan_broadcast_eth0'>
            <param type='eole' name='ip'>vlan_ip_eth0</param>
            <param type='eole' name='netmask'>vlan_netmask_eth0</param>
        </auto>
        <auto name='calc_broadcast' target='vlan_broadcast_eth1'>
            <param type='eole' name='ip'>vlan_ip_eth1</param>
            <param type='eole' name='netmask'>vlan_netmask_eth1</param>
        </auto>
        <auto name='calc_broadcast' target='vlan_broadcast_eth2'>
            <param type='eole' name='ip'>vlan_ip_eth2</param>
            <param type='eole' name='netmask'>vlan_netmask_eth2</param>
        </auto>
        <auto name='calc_broadcast' target='vlan_broadcast_eth3'>
            <param type='eole' name='ip'>vlan_ip_eth3</param>
            <param type='eole' name='netmask'>vlan_netmask_eth3</param>
        </auto>
        <auto name='calc_broadcast' target='vlan_broadcast_eth4'>
            <param type='eole' name='ip'>vlan_ip_eth4</param>
            <param type='eole' name='netmask'>vlan_netmask_eth4</param>
        </auto>
        <fill name='calc_val' target='pppoe_interface'>
            <param type='eole' name='valeur'>nom_carte_eth0</param>
        </fill>
        <fill name='calc_val' target='alias_netmask_eth0'>
            <param type='eole' name='valeur'>adresse_netmask_eth0</param>
        </fill>
        <fill name='calc_val' target='alias_netmask_eth1'>
            <param type='eole' name='valeur'>adresse_netmask_eth1</param>
        </fill>
        <fill name='calc_val' target='alias_netmask_eth2'>
            <param type='eole' name='valeur'>adresse_netmask_eth2</param>
        </fill>
        <fill name='calc_val' target='alias_netmask_eth3'>
            <param type='eole' name='valeur'>adresse_netmask_eth3</param>
        </fill>
        <fill name='calc_val' target='alias_netmask_eth4'>
            <param type='eole' name='valeur'>adresse_netmask_eth4</param>
        </fill>

        <check name='valid_enum' target='eth0_method'>
            <param>['dhcp','statique']</param>
        </check>
        <check name='valid_enum' target='debit_carte_eth0'>
            <param>['','speed 100 duplex full autoneg off','autoneg on','speed 10 duplex half autoneg off','speed 1000 duplex full autoneg off']</param>
        </check>
        <check name='valid_enum' target='debit_carte_eth1'>
            <param>['','speed 100 duplex full autoneg off','autoneg on','speed 10 duplex half autoneg off','speed 1000 duplex full autoneg off']</param>
        </check>
        <check name='valid_enum' target='debit_carte_eth2'>
            <param>['','speed 100 duplex full autoneg off','autoneg on','speed 10 duplex half autoneg off','speed 1000 duplex full autoneg off']</param>
        </check>
        <check name='valid_enum' target='debit_carte_eth3'>
            <param>['','speed 100 duplex full autoneg off','autoneg on','speed 10 duplex half autoneg off','speed 1000 duplex full autoneg off']</param>
        </check>
        <check name='valid_enum' target='debit_carte_eth4'>
            <param>['','speed 100 duplex full autoneg off','autoneg on','speed 10 duplex half autoneg off','speed 1000 duplex full autoneg off']</param>
        </check>

        <condition name='disabled_if_in' source='alias_eth0'>
            <param>non</param>
            <target type='variable'>alias_ip_eth0</target>
            <target type='variable'>alias_netmask_eth0</target>
            <target type='variable'>alias_network_eth0</target>
            <target type='variable'>alias_broadcast_eth0</target>
        </condition>
        <condition name='disabled_if_in' source='vlan_eth0'>
            <param>non</param>
            <target type='variable'>vlan_id_eth0</target>
            <target type='variable'>vlan_ip_eth0</target>
            <target type='variable'>vlan_netmask_eth0</target>
            <target type='variable'>vlan_network_eth0</target>
            <target type='variable'>vlan_broadcast_eth0</target>
            <target type='variable'>vlan_gw_eth0</target>
        </condition>
        <condition name='disabled_if_in' source='alias_eth1'>
            <param>non</param>
            <target type='variable'>alias_ip_eth1</target>
            <target type='variable'>alias_netmask_eth1</target>
            <target type='variable'>alias_network_eth1</target>
            <target type='variable'>alias_broadcast_eth1</target>
        </condition>
        <condition name='disabled_if_in' source='vlan_eth1'>
            <param>non</param>
            <target type='variable'>vlan_id_eth1</target>
            <target type='variable'>vlan_ip_eth1</target>
            <target type='variable'>vlan_netmask_eth1</target>
            <target type='variable'>vlan_network_eth1</target>
            <target type='variable'>vlan_broadcast_eth1</target>
        </condition>
        <condition name='disabled_if_in' source='alias_eth2'>
            <param>non</param>
            <target type='variable'>alias_ip_eth2</target>
            <target type='variable'>alias_netmask_eth2</target>
            <target type='variable'>alias_network_eth2</target>
            <target type='variable'>alias_broadcast_eth2</target>
        </condition>
        <condition name='disabled_if_in' source='vlan_eth2'>
            <param>non</param>
            <target type='variable'>vlan_id_eth2</target>
            <target type='variable'>vlan_ip_eth2</target>
            <target type='variable'>vlan_netmask_eth2</target>
            <target type='variable'>vlan_network_eth2</target>
            <target type='variable'>vlan_broadcast_eth2</target>
        </condition>
        <condition name='disabled_if_in' source='alias_eth3'>
            <param>non</param>
            <target type='variable'>alias_ip_eth3</target>
            <target type='variable'>alias_netmask_eth3</target>
            <target type='variable'>alias_network_eth3</target>
            <target type='variable'>alias_broadcast_eth3</target>
        </condition>
        <condition name='disabled_if_in' source='vlan_eth3'>
            <param>non</param>
            <target type='variable'>vlan_id_eth3</target>
            <target type='variable'>vlan_ip_eth3</target>
            <target type='variable'>vlan_netmask_eth3</target>
            <target type='variable'>vlan_network_eth3</target>
            <target type='variable'>vlan_broadcast_eth3</target>
        </condition>
        <condition name='disabled_if_in' source='alias_eth4'>
            <param>non</param>
            <target type='variable'>alias_ip_eth4</target>
            <target type='variable'>alias_netmask_eth4</target>
            <target type='variable'>alias_network_eth4</target>
            <target type='variable'>alias_broadcast_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='vlan_eth4'>
            <param>non</param>
            <target type='variable'>vlan_id_eth4</target>
            <target type='variable'>vlan_ip_eth4</target>
            <target type='variable'>vlan_netmask_eth4</target>
            <target type='variable'>vlan_network_eth4</target>
            <target type='variable'>vlan_broadcast_eth4</target>
        </condition>
        <condition name='frozen_if_not_in' source='eth0_method'>
            <param>statique</param>
            <target type='variable'>adresse_ip_eth0</target>
            <target type='variable'>adresse_netmask_eth0</target>
            <target type='variable'>adresse_ip_gw</target>
        </condition>
        <condition name='disabled_if_not_in' source='eth0_method'>
            <param>pppoe</param>
            <target type='variable'>pppoe_user</target>
            <target type='variable'>pppoe_passwd</target>
            <target type='variable'>pppoe_interface</target>
            <target type='filelist'>pppoe</target>
        </condition>
        <condition name='disabled_if_not_in' source='eth0_method'>
            <param>dhcp</param>
            <target type='filelist'>dhclient</target>
        </condition>

        <check name="valid_ipnetmask" target="adresse_netmask_eth0" level="warning">
            <param type='eole'>adresse_ip_eth0</param>
        </check>
        <check name="valid_ipnetmask" target="adresse_netmask_eth1" level="warning">
            <param type='eole'>adresse_ip_eth1</param>
        </check>
        <check name="valid_ipnetmask" target="adresse_netmask_eth2" level="warning">
            <param type='eole'>adresse_ip_eth2</param>
        </check>
        <check name="valid_ipnetmask" target="adresse_netmask_eth3" level="warning">
            <param type='eole'>adresse_ip_eth3</param>
        </check>
        <check name="valid_ipnetmask" target="adresse_netmask_eth4" level="warning">
            <param type='eole'>adresse_ip_eth4</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth0" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth1</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth0" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth2</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth0" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth3</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth0" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth4</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth1" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth2</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth1" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth3</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth1" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth4</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth2" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth3</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth2" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth4</param>
        </check>
        <check name="valid_differ" target="nom_carte_eth3" level="warning">
            <param type='eole' hidden='False'>nom_carte_eth4</param>
        </check>
        <fill name='get_net_device' target="nom_carte_eth0">
            <param type='number'>0</param>
            <param type='eole' optional='True' name="mode_zephir">mode_zephir</param>
        </fill>
        <fill name='get_net_device' target="nom_carte_eth1">
            <param type='number'>1</param>
            <param type='eole' optional='True' name="mode_zephir">mode_zephir</param>
        </fill>
        <fill name='get_net_device' target="nom_carte_eth2">
            <param type='number'>2</param>
            <param type='eole' optional='True' name="mode_zephir">mode_zephir</param>
        </fill>
        <fill name='get_net_device' target="nom_carte_eth3">
            <param type='number'>3</param>
            <param type='eole' optional='True' name="mode_zephir">mode_zephir</param>
        </fill>
        <fill name='get_net_device' target="nom_carte_eth4">
            <param type='number'>4</param>
            <param type='eole' optional='True' name="mode_zephir">mode_zephir</param>
        </fill>
        <auto name='calc_or_auto_broadcast' target='adresse_broadcast_eth0'>
            <param type='eole' name='nom_carte'>nom_carte_eth0</param>
            <param name='condition'>dhcp</param>
            <param type='eole' name='parametre'>eth0_method</param>
            <param type='eole' name='ip'>adresse_ip_eth0</param>
            <param type='eole' name='netmask'>adresse_netmask_eth0</param>
        </auto>
        <auto name='auto_eth' target='adresse_ip_eth0'>
            <param type='eole'>nom_carte_eth0</param>
            <param name='condition'>dhcp</param>
            <param type='eole' name='parametre'>eth0_method</param>
        </auto>
        <auto name='calc_or_auto_network' target='adresse_network_eth0'>
            <param type='eole' name='nom_carte'>nom_carte_eth0</param>
            <param name='condition'>dhcp</param>
            <param type='eole' name='parametre'>eth0_method</param>
            <param type='eole' name='ip'>adresse_ip_eth0</param>
            <param type='eole' name='netmask'>adresse_netmask_eth0</param>
        </auto>
        <auto name='auto_netmask' target='adresse_netmask_eth0'>
            <param type='eole'>nom_carte_eth0</param>
            <param name='condition'>dhcp</param>
            <param type='eole' name='parametre'>eth0_method</param>
        </auto>
        <auto name='auto_defaultgw_ip' target='adresse_ip_gw'>
            <param type='eole'>eth0_method</param>
        </auto>
        <auto name='calc_val' target='interface_gw'>
            <param type='eole'>nom_zone_eth0</param>
        </auto>

        <fill name='get_zone_name' target='nom_zone_eth0'>
            <param type='eole' name='nom_carte'>nom_carte_eth0</param>
            <param type='eole' name='method'>eth0_method</param>
            <param type='eole' name='zone_is_bridge'>zone_is_bridge_eth0</param>
        </fill>
        <fill name='get_zone_name' target='nom_zone_eth1'>
            <param type='eole' name='nom_carte'>nom_carte_eth1</param>
            <param type='eole' name='method'>eth1_method</param>
            <param type='eole' name='zone_is_bridge'>zone_is_bridge_eth1</param>
        </fill>
        <fill name='get_zone_name' target='nom_zone_eth2'>
            <param type='eole' name='nom_carte'>nom_carte_eth2</param>
            <param type='eole' name='method'>eth2_method</param>
            <param type='eole' name='zone_is_bridge'>zone_is_bridge_eth2</param>
        </fill>
        <fill name='get_zone_name' target='nom_zone_eth3'>
            <param type='eole' name='nom_carte'>nom_carte_eth3</param>
            <param type='eole' name='method'>eth3_method</param>
            <param type='eole' name='zone_is_bridge'>zone_is_bridge_eth3</param>
        </fill>
        <fill name='get_zone_name' target='nom_zone_eth4'>
            <param type='eole' name='nom_carte'>nom_carte_eth4</param>
            <param type='eole' name='method'>eth4_method</param>
            <param type='eole' name='zone_is_bridge'>zone_is_bridge_eth4</param>
        </fill>
        <fill name='get_zone_name_bridge' target='zone_is_bridge_eth0'>
            <param type='eole' name='nom_carte'>nom_carte_eth0</param>
            <param type='context' name='context'></param>
        </fill>
        <fill name='get_zone_name_bridge' target='zone_is_bridge_eth1'>
            <param type='eole' name='nom_carte'>nom_carte_eth1</param>
            <param type='context' name='context'></param>
        </fill>
        <fill name='get_zone_name_bridge' target='zone_is_bridge_eth2'>
            <param type='eole' name='nom_carte'>nom_carte_eth2</param>
            <param type='context' name='context'></param>
        </fill>
        <fill name='get_zone_name_bridge' target='zone_is_bridge_eth3'>
            <param type='eole' name='nom_carte'>nom_carte_eth3</param>
            <param type='context' name='context'></param>
        </fill>
        <fill name='get_zone_name_bridge' target='zone_is_bridge_eth4'>
            <param type='eole' name='nom_carte'>nom_carte_eth4</param>
            <param type='context' name='context'></param>
        </fill>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <target type='family'>Interface-1</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <target type='family'>Interface-2</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <param>3</param>
            <target type='family'>Interface-3</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <param>3</param>
            <param>4</param>
            <target type='family'>Interface-4</target>
        </condition>
        <auto name='calc_network' target='adresse_network_eth1'>
            <param type='eole' name='ip'>adresse_ip_eth1</param>
            <param type='eole' name='netmask'>adresse_netmask_eth1</param>
        </auto>

        <auto name='calc_network' target='adresse_network_eth2'>
            <param type='eole' name='ip'>adresse_ip_eth2</param>
            <param type='eole' name='netmask'>adresse_netmask_eth2</param>
        </auto>
        <auto name='calc_network' target='adresse_network_eth3'>
            <param type='eole' name='ip'>adresse_ip_eth3</param>
            <param type='eole' name='netmask'>adresse_netmask_eth3</param>
        </auto>
        <auto name='calc_network' target='adresse_network_eth4'>
            <param type='eole' name='ip'>adresse_ip_eth4</param>
            <param type='eole' name='netmask'>adresse_netmask_eth4</param>
        </auto>
        <auto name='calc_broadcast' target='adresse_broadcast_eth1'>
            <param type='eole' name='ip'>adresse_ip_eth1</param>
            <param type='eole' name='netmask'>adresse_netmask_eth1</param>
        </auto>
        <auto name='calc_broadcast' target='adresse_broadcast_eth2'>
            <param type='eole' name='ip'>adresse_ip_eth2</param>
            <param type='eole' name='netmask'>adresse_netmask_eth2</param>
        </auto>
        <auto name='calc_broadcast' target='adresse_broadcast_eth3'>
            <param type='eole' name='ip'>adresse_ip_eth3</param>
            <param type='eole' name='netmask'>adresse_netmask_eth3</param>
        </auto>
        <auto name='calc_broadcast' target='adresse_broadcast_eth4'>
            <param type='eole' name='ip'>adresse_ip_eth4</param>
            <param type='eole' name='netmask'>adresse_netmask_eth4</param>
        </auto>

        <check name='valid_enum' target="nom_carte_eth0">
            <param type='python'>eosfunc.get_net_devices()</param>
            <param name="checkval">False</param>
        </check>
        <check name='valid_enum' target="nom_carte_eth1">
            <param type='python'>eosfunc.get_net_devices()</param>
            <param name="checkval">False</param>
        </check>
        <check name='valid_enum' target="nom_carte_eth2">
            <param type='python'>eosfunc.get_net_devices()</param>
            <param name="checkval">False</param>
        </check>
        <check name='valid_enum' target="nom_carte_eth3">
            <param type='python'>eosfunc.get_net_devices()</param>
            <param name="checkval">False</param>
        </check>
        <check name='valid_enum' target="nom_carte_eth4">
            <param type='python'>eosfunc.get_net_devices()</param>
            <param name="checkval">False</param>
        </check>
        <check name="valid_enum" target="eth1_method">
            <!-- <param>['statique','dhcp']</param> -->
            <param>['statique']</param>
        </check>
        <check name="valid_enum" target="eth2_method">
            <!-- <param>['statique','dhcp']</param> -->
            <param>['statique']</param>
        </check>
        <check name="valid_enum" target="eth3_method">
            <!-- <param>['statique','dhcp']</param> -->
            <param>['statique']</param>
        </check>
        <check name="valid_enum" target="eth4_method">
            <!-- <param>['statique','dhcp']</param> -->
            <param>['statique']</param>
        </check>
        <check name="valid_networknetmask" target="netmask_ssh_eth0">
            <param type='eole'>ip_ssh_eth0</param>
        </check>
        <condition name='mandatory_if_in' source='mode_zephir' fallback="True">
            <param>non</param>
            <target type='variable'>interface_gw</target>
            <target type='variable'>nom_carte_eth0</target>
            <target type='variable'>nom_carte_eth1</target>
            <target type='variable'>nom_carte_eth2</target>
            <target type='variable'>nom_carte_eth3</target>
            <target type='variable'>nom_carte_eth4</target>
            <target type='variable'>nom_zone_eth0</target>
            <target type='variable'>nom_zone_eth1</target>
            <target type='variable'>nom_zone_eth2</target>
            <target type='variable'>nom_zone_eth3</target>
            <target type='variable'>nom_zone_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='activer_firewall'>
            <param>non</param>
            <target type='variable'>ssh_eth0</target>
            <target type='variable'>ssh_eth1</target>
            <target type='variable'>ssh_eth2</target>
            <target type='variable'>ssh_eth3</target>
            <target type='variable'>ssh_eth4</target>
            <target type='variable'>admin_eth0</target>
            <target type='variable'>admin_eth1</target>
            <target type='variable'>admin_eth2</target>
            <target type='variable'>admin_eth3</target>
            <target type='variable'>admin_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='ssh_eth0'>
            <param>non</param>
            <target type='variable'>ip_ssh_eth0</target>
            <target type='variable'>netmask_ssh_eth0</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_admin_eth0">
            <param type='eole'>ip_admin_eth0</param>
        </check>
        <condition name='disabled_if_in' source='admin_eth0'>
            <param>non</param>
            <target type='variable'>ip_admin_eth0</target>
            <target type='variable'>netmask_admin_eth0</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_ssh_eth1">
            <param type='eole'>ip_ssh_eth1</param>
        </check>
        <condition name='disabled_if_in' source='ssh_eth1'>
            <param>non</param>
            <target type='variable'>ip_ssh_eth1</target>
            <target type='variable'>netmask_ssh_eth1</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_admin_eth1">
            <param type='eole'>ip_admin_eth1</param>
        </check>
        <condition name='disabled_if_in' source='admin_eth1'>
            <param>non</param>
            <target type='variable'>ip_admin_eth1</target>
            <target type='variable'>netmask_admin_eth1</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_ssh_eth2">
            <param type='eole'>ip_ssh_eth2</param>
        </check>
        <condition name='disabled_if_in' source='ssh_eth2'>
            <param>non</param>
            <target type='variable'>ip_ssh_eth2</target>
            <target type='variable'>netmask_ssh_eth2</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_admin_eth2">
            <param type='eole'>ip_admin_eth2</param>
        </check>
        <condition name='disabled_if_in' source='admin_eth2'>
            <param>non</param>
            <target type='variable'>ip_admin_eth2</target>
            <target type='variable'>netmask_admin_eth2</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_ssh_eth3">
            <param type='eole'>ip_ssh_eth3</param>
        </check>
        <condition name='disabled_if_in' source='ssh_eth3'>
            <param>non</param>
            <target type='variable'>ip_ssh_eth3</target>
            <target type='variable'>netmask_ssh_eth3</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_admin_eth3">
            <param type='eole'>ip_admin_eth3</param>
        </check>
        <condition name='disabled_if_in' source='admin_eth3'>
            <param>non</param>
            <target type='variable'>ip_admin_eth3</target>
            <target type='variable'>netmask_admin_eth3</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_ssh_eth4">
            <param type='eole'>ip_ssh_eth4</param>
        </check>
        <condition name='disabled_if_in' source='ssh_eth4'>
            <param>non</param>
            <target type='variable'>ip_ssh_eth4</target>
            <target type='variable'>netmask_ssh_eth4</target>
        </condition>
        <check name="valid_networknetmask" target="netmask_admin_eth4">
            <param type='eole'>ip_admin_eth4</param>
        </check>
        <check name="valid_in_network" target="adresse_ip_gw" level="warning">
            <param type='eole'>adresse_network_eth0</param>
            <param type='eole'>adresse_netmask_eth0</param>
        </check>
        <check name="valid_differ" target="adresse_ip_gw">
            <param type='eole'>adresse_ip_eth0</param>
        </check>
        <condition name='disabled_if_in' source='admin_eth4'>
            <param>non</param>
            <target type='variable'>ip_admin_eth4</target>
            <target type='variable'>netmask_admin_eth4</target>
        </condition>
        <group master='ip_ssh_eth0'>
            <slave>netmask_ssh_eth0</slave>
        </group>
        <group master='ip_admin_eth0'>
            <slave>netmask_admin_eth0</slave>
        </group>
        <group master='ip_ssh_eth1'>
            <slave>netmask_ssh_eth1</slave>
        </group>
        <group master='ip_admin_eth1'>
            <slave>netmask_admin_eth1</slave>
        </group>
        <group master='ip_ssh_eth2'>
            <slave>netmask_ssh_eth2</slave>
        </group>
        <group master='ip_admin_eth2'>
            <slave>netmask_admin_eth2</slave>
        </group>
        <group master='ip_ssh_eth3'>
            <slave>netmask_ssh_eth3</slave>
        </group>
        <group master='ip_admin_eth3'>
            <slave>netmask_admin_eth3</slave>
        </group>
        <group master='ip_ssh_eth4'>
            <slave>netmask_ssh_eth4</slave>
        </group>
        <group master='ip_admin_eth4'>
            <slave>netmask_admin_eth4</slave>
        </group>
        <group master='alias_ip_eth0'>
            <slave>alias_netmask_eth0</slave>
            <slave>alias_network_eth0</slave>
            <slave>alias_broadcast_eth0</slave>
            <slave>alias_gw_eth0</slave>
        </group>
        <group master='vlan_id_eth0'>
            <slave>vlan_ip_eth0</slave>
            <slave>vlan_netmask_eth0</slave>
            <slave>vlan_network_eth0</slave>
            <slave>vlan_broadcast_eth0</slave>
            <slave>vlan_gw_eth0</slave>
        </group>
        <group master='alias_ip_eth1'>
            <slave>alias_netmask_eth1</slave>
            <slave>alias_network_eth1</slave>
            <slave>alias_broadcast_eth1</slave>
            <slave>dns_rvp_alias_eth1</slave>
            <slave>dns_forward_alias_eth1</slave>
        </group>
        <group master='vlan_id_eth1'>
            <slave>vlan_ip_eth1</slave>
            <slave>vlan_netmask_eth1</slave>
            <slave>vlan_network_eth1</slave>
            <slave>vlan_broadcast_eth1</slave>
            <slave>dns_rvp_vlan_eth1</slave>
            <slave>dns_forward_vlan_eth1</slave>
        </group>
        <group master='alias_ip_eth2'>
            <slave>alias_netmask_eth2</slave>
            <slave>alias_network_eth2</slave>
            <slave>alias_broadcast_eth2</slave>
            <slave>dns_rvp_alias_eth2</slave>
            <slave>dns_forward_alias_eth2</slave>
        </group>
        <group master='vlan_id_eth2'>
            <slave>vlan_ip_eth2</slave>
            <slave>vlan_netmask_eth2</slave>
            <slave>vlan_network_eth2</slave>
            <slave>vlan_broadcast_eth2</slave>
            <slave>dns_rvp_vlan_eth2</slave>
            <slave>dns_forward_vlan_eth2</slave>
        </group>
        <group master='alias_ip_eth3'>
            <slave>alias_netmask_eth3</slave>
            <slave>alias_network_eth3</slave>
            <slave>alias_broadcast_eth3</slave>
            <slave>dns_rvp_alias_eth3</slave>
            <slave>dns_forward_alias_eth3</slave>
        </group>
        <group master='vlan_id_eth3'>
            <slave>vlan_ip_eth3</slave>
            <slave>vlan_netmask_eth3</slave>
            <slave>vlan_network_eth3</slave>
            <slave>vlan_broadcast_eth3</slave>
            <slave>dns_rvp_vlan_eth3</slave>
            <slave>dns_forward_vlan_eth3</slave>
        </group>
        <group master='alias_ip_eth4'>
            <slave>alias_netmask_eth4</slave>
            <slave>alias_network_eth4</slave>
            <slave>alias_broadcast_eth4</slave>
            <slave>dns_rvp_alias_eth4</slave>
            <slave>dns_forward_alias_eth4</slave>
        </group>
        <group master='vlan_id_eth4'>
            <slave>vlan_ip_eth4</slave>
            <slave>vlan_netmask_eth4</slave>
            <slave>vlan_network_eth4</slave>
            <slave>vlan_broadcast_eth4</slave>
            <slave>dns_rvp_vlan_eth4</slave>
            <slave>dns_forward_vlan_eth4</slave>
        </group>


    </constraints>

    <help>
        <family name='Interface-0'>Configuration de l'interface 0</family>
        <family name='Interface-1'>Configuration de l'interface 1</family>
        <family name='Interface-2'>Configuration de l'interface 2</family>
        <family name='Interface-3'>Configuration de l'interface 3</family>
        <family name='Interface-4'>Configuration de l'interface 4</family>
        <variable name='adresse_ip_eth0'>Adresse IP de la première carte réseau (ex: 10.21.5.1)</variable>
        <variable name='adresse_netmask_eth0'>Adresse du masque de sous réseau de la première carte réseau (ex: 255.255.255.0)</variable>
        <variable name='adresse_network_eth0'>'Adresse réseau de la carte de la première carte réseau (ex: 10.21.5.0)</variable>
        <variable name='adresse_broadcast_eth0'>Adresse de broadcast (diffusion) de la carte de la première carte réseau (ex: 10.21.5.255)</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
